(function () {
    'use strict';

    var language = 'en-us';

    function restoreLanguage() {

        var lastLanguage = window.localStorage.getItem('language');

        if (!lastLanguage) return;

        if (lastLanguage == language) return;

        var elements = document.querySelectorAll('input[type="radio"][name="language"]');

        for (var i = 0; i < elements.length; i++) {
            if (elements[i].value == lastLanguage) {
                elements[i].checked = true;
                changeLanguage(lastLanguage);
                break;
            }
        }
    }

    function addListeners() {

        var elements = document.querySelectorAll('input[type="radio"][name="language"]');

        var value = null

        for (var i = 0; i < elements.length; i++) {

            var element = elements[i];
            
            if (element.checked)
                value = element.value;
            
            element.addEventListener('change', onChangeLanguage);
        }

        changeLanguage(value);
    }

    function onChangeLanguage(event) {

        var value = event.target.value;

        event.stopPropagation();

        changeLanguage(value);
    }

    function changeLanguage(value) {

        if (!value)
            return;

        var elements = document.querySelectorAll('a[href].ml');

        var searchValue = '/' + language + '/';
        var replaceValue = '/' + value + '/';

        for (var i = 0; i < elements.length; i++) {

            var element = elements[i];

            if (element.classList.contains('ml')) {

                element.href = element.href.replace(searchValue, replaceValue);

                element.innerHTML = element.innerHTML.replace(searchValue, replaceValue);
            }
        }

        elements = document.querySelectorAll('div[data-url].odatadb-control.ml');

        for (var i = 0; i < elements.length; i++) {

            var element = elements[i];

            var attr = element.getAttribute('data-url');

            if (attr)
                element.setAttribute('data-url', attr.replace(searchValue, replaceValue));
        }

        language = value;

        window.localStorage.setItem('language', language);
    }

    restoreLanguage();
    addListeners();

}());
